/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {FloorPlanPrincipalResponse} from "./floorPlanPrincipalResponse";
import {ExitResponse} from "./exitResponse";
import {AreaResponse} from "./areaResponse";

export class FloorPlanFullResponse {
    public info: FloorPlanPrincipalResponse;

    public exits: ExitResponse[];

    public areas: AreaResponse[];

    /**
     * Creates a FloorPlanFullResponse.
     *
     * @param {FloorPlanPrincipalResponse} info
     * @param {ExitResponse} exits
     * @param {AreaResponse} areas
     */
    constructor(info: FloorPlanPrincipalResponse, exits: ExitResponse[], areas: AreaResponse[]) {
        this.info = info;
        this.exits = exits;
        this.areas = areas;
    }
}
